:root {
    --button-color: #e6e3e3;
    --border-input-color: #ffffff45;
    --input-background-color: #212121db;
    --header-color: #3498db;
    --header-height: 60px;
}
body{
    height: 100vh;
    width: 100vw;
    margin: 0;
    padding: 0;
    background-color: #1c1c1c;
}
.login-container{
    height: 100%;
    width: 100%;
    display: block;
}
.login-banner{
    height: 10vh;
    width: 100%;
}
.images-preview{
    width: 70vw;
    height: calc(100% - 10vh);
    background-image: url('/FrontPage.png');
}
.login-form{
    height: 100vh;
    position: fixed;
    right: 0;
    width: 30vw;
    top: 0vh;
    color: white;
    background-color: #0000008f;
}
.images-preview {
    background-size: cover;
    background-position: center;
    transition: opacity 1s ease-in-out;
}
.login{
    width: 30%;
    background-color: var(--button-color);
    display: flex;
    color: black;
    align-items: center;
    justify-content: center;
    height: 80%;
    cursor: pointer;
    border-radius: 4px;
}
.newprofile{
    width: 30%;
    background-color: var(--button-color);
    display: flex;
    align-items: center;
    color: black;
    justify-content: center;
    height: 80%;
    cursor: pointer;
    border-radius: 4px;
}
.login-box{
    height: 100%;
    width: 92%;
    display: flex;
    padding: 4%;
    flex-direction: column;
    border-radius: 4px;
}
.text-email, .text-username, .text-password, .text-confirmcode{
    height: 3vh;
    margin-top: 2%;
}
input#email, input#username, input#password, input#confirmPassword, input#confirmcode{
    height: 4vh;
    background-color: #212121db;
    outline: none;
    border: 1px solid var(--border-input-color);
    border-radius: 7px;
    color: white;
    padding-left: 5px;
    margin-bottom: 1%;
}
input#email:-webkit-autofill,
input#username:-webkit-autofill,
input#password:-webkit-autofill,
input#confirmPassword:-webkit-autofill,
input#confirmcode:-webkit-autofill
{
    background-color: #1e1e1e !important; /* or whatever your desired color is */
    -webkit-text-fill-color: #fff !important;
    transition: background-color 5000s ease-in-out 0s;
}
.logo{
    width: 10vw;
    position: absolute;
    height: 10vh;
    background-size: contain;
    background-repeat: no-repeat;
    z-index: 99;
}
.login-options{
    display: flex;
    width: 100%;
    height: 5vh;
    justify-content: space-evenly;
    align-items: center;
}
.Notifbar{
    position: fixed;
    display: none;
    top: var(--header-height);
    left: 0;
    right: 0;
    z-index: 9999;
    height: 5vh;
    width: 20vw;
    transition: display 0.2s ease;
    transition: transform 0.2s ease;
    transform: translateX(-100%);
}
.NotifbarItem{
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    width: 100%;
}
.NotifbarItemTitle{
    width: 80%;
    display: flex;
    height: 100%;
    align-items: center;
    background-color: var(--header-color);
    padding-left: 1%;
    color: white;
    border-bottom-left-radius: 7px;
}
#loginbutton, #newprofilebutton, #finishbutton{
    height: 4vh;
    margin-top: 20%;
    background-color: var(--button-color);
    outline: none;
    border: none;
    border-radius: 7px;
    width: 80%;
    align-self: center;
    cursor: pointer;
    font-size: 1rem;
}
#finishbutton{
    margin-top: 10%;
}
#intro-text-description{
    font-family: "Oracle", "Oracle Regular", "Oracles", sans-serif;
    color: #d1d0d0;
}
.line-div{
    height: 1px;
    border-bottom: 1px solid;
    margin-bottom: 2%;
}
